CFLAGS = ${GLOBALFLAGS}

B = $(EW_HOME)/$(EW_VERSION)/bin
L = $(EW_HOME)/$(EW_VERSION)/lib


all:
	make -f makefile.sol eqverify_assemble
	make -f makefile.sol arcfeeder

eqverify_assemble: eqverify_assemble.o $L/chron3.o $L/getutil.o $L/kom.o \
	$L/logit.o $L/time_ew.o $L/pipe.o $L/sleep_ew.o
	cc -o $B/eqverify_assemble eqverify_assemble.o $L/chron3.o \
	$L/getutil.o $L/kom.o $L/logit.o $L/time_ew.o $L/pipe.o $L/sleep_ew.o \
        -lm -lposix4 

arcfeeder: arcfeeder.o $L/getutil.o $L/kom.o $L/pipe.o $L/sleep_ew.o
	cc -o $B/arcfeeder arcfeeder.o $L/getutil.o $L/kom.o $L/pipe.o \
	$L/sleep_ew.o -lposix4	


lint:
	lint eqverify_assemble.c arcfeeder.c $(GLOBALFLAGS)

# Clean-up rules
clean:
	rm -f a.out core *.o *.obj *% *~

clean_bin:
	rm -f $B/eqverify_assemble* $B/arcfeeder*
